-- Glostone Brick
minetest.register_node(
    'yl_glostone_building_blocks:glostone_brick',
    {
    	description = 'Glo Stone Brick',
    	tiles = {
            'ethereal_glostone.png^yl_glostone_building_blocks_brick_overlay.png'
        },
    	groups = {
            cracky = 2
        },
    	light_source = 10,
    	drop = 'yl_glostone_building_blocks:glostone_brick',
        sounds = default.node_sound_stone_defaults()
    }
)

minetest.register_craft(
    {
        output = 'yl_glostone_building_blocks:glostone_brick 4',
        recipe = {
            {'ethereal:glostone', 'ethereal:glostone'},
            {'ethereal:glostone', 'ethereal:glostone'}
        }
    }
)

-- Glostone Block
minetest.register_node(
    'yl_glostone_building_blocks:glostone_block',
    {
    	description = 'Glo Stone Block',
    	tiles = {
            'ethereal_glostone.png^yl_glostone_building_blocks_block_overlay.png'
        },
    	groups = {
            cracky = 2
        },
    	light_source = 12,
    	drop = 'yl_glostone_building_blocks:glostone_block',
        sounds = default.node_sound_stone_defaults()
    }
)

minetest.register_craft(
    {
        output = 'yl_glostone_building_blocks:glostone_block 9',
        recipe = {
            {'ethereal:glostone', 'ethereal:glostone', 'ethereal:glostone'},
            {'ethereal:glostone', 'ethereal:glostone', 'ethereal:glostone'},
            {'ethereal:glostone', 'ethereal:glostone', 'ethereal:glostone'}
        }
    }
)

-- Glostone Brick stairs

stairs.register_stair_and_slab(
    'glostone_brick',
    'yl_glostone_building_blocks:glostone_brick',
    {
        cracky = 2
    },
    {
        'ethereal_glostone.png^yl_glostone_building_blocks_brick_overlay.png'
    },
    'Glostone Brick Stair',
    'Glostone Brick Slab',
    default.node_sound_stone_defaults()
)

minetest.override_item(
    'stairs:stair_glostone_brick',
    {
        light_source = 10
    }
)
minetest.override_item(
    'stairs:stair_outer_glostone_brick',
    {
        light_source = 10
    }
)
minetest.override_item(
    'stairs:stair_inner_glostone_brick',
    {
        light_source = 10
    }
)
minetest.override_item(
    'stairs:slab_glostone_brick',
    {
        light_source = 10
    }
)

-- Glostone Block stairs

stairs.register_stair_and_slab(
    'glostone_block',
    'yl_glostone_building_blocks:glostone_block',
    {
        cracky = 2
    },
    {
        'ethereal_glostone.png^yl_glostone_building_blocks_block_overlay.png'
    },
    'Glostone Block Stair',
    'Glostone Block Slab',
    default.node_sound_stone_defaults()
)

minetest.override_item(
    'stairs:stair_glostone_block',
    {
        light_source = 10
    }
)
minetest.override_item(
    'stairs:stair_outer_glostone_block',
    {
        light_source = 10
    }
)
minetest.override_item(
    'stairs:stair_inner_glostone_block',
    {
        light_source = 10
    }
)
minetest.override_item(
    'stairs:slab_glostone_block',
    {
        light_source = 10
    }
)
